aboutsummaryrefslogtreecommitdiffstats
path: root/mail/qpopper/scripts
diff options
context:
space:
mode:
authorpst <pst@FreeBSD.org>1996-06-23 02:24:51 +0800
committerpst <pst@FreeBSD.org>1996-06-23 02:24:51 +0800
commit1b601a1115e8a88e05778bd3bfbf0e4220956c77 (patch)
treefb77f8f77c78680fe9ba830e0fb4f28cb983046c /mail/qpopper/scripts
parent88d3a8d36a42b5d9cc4dccdf88e33584ef532d05 (diff)
downloadfreebsd-ports-gnome-1b601a1115e8a88e05778bd3bfbf0e4220956c77.tar.gz
freebsd-ports-gnome-1b601a1115e8a88e05778bd3bfbf0e4220956c77.tar.zst
freebsd-ports-gnome-1b601a1115e8a88e05778bd3bfbf0e4220956c77.zip
Add scripts/pre-install to request POP userid creation.
Move pop.auth database to ${PREFIX}/etc/popper/pop.auth so that it (a) does not conflict with MH's pop3 database of same name, and (b) so that ${PREFIX}/etc/popper directory can be owned by pop uid so that popauth -init always works. This should cover the last nits regarding this port. Requested by: asami
Diffstat (limited to 'mail/qpopper/scripts')
-rw-r--r--mail/qpopper/scripts/pre-install16
1 files changed, 16 insertions, 0 deletions
diff --git a/mail/qpopper/scripts/pre-install b/mail/qpopper/scripts/pre-install
new file mode 100644
index 000000000000..b6cb9cfe0763
--- /dev/null
+++ b/mail/qpopper/scripts/pre-install
@@ -0,0 +1,16 @@
+#!/bin/sh
+if ! id -u pop > /dev/null 2>&1; then
+ echo "You need an account \"pop\" to install this package."
+ echo "Please add it by hand (try \"man vipw\") and try again."
+ echo ""
+ echo "An example passwd entry (assuming uid 68 is available) is;"
+ echo "pop:*:68:1::0:0:Post Office Owner:/nonexistent:/nonexistent"
+ echo ""
+ exit 1
+fi
+usrdir=${PREFIX}/etc/popper
+if [ ! -d $usrdir ]; then
+ mkdir -p $usrdir
+fi
+chown pop.daemon $usrdir
+chmod 700 $usrdir